<?php

namespace B2buy\Cart\Repositories\Eloquent;

use B2buy\Cart\Interfaces\CartRepositoryInterface;
use Litepie\Repository\Eloquent\BaseRepository;

class CartRepository extends BaseRepository implements CartRepositoryInterface
{


    public function boot()
    {
        $this->fieldSearchable = config('b2buy.cart.cart.model.search');

    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('b2buy.cart.cart.model.model');
    }
}
